using System;
using System.Collections.ObjectModel;
using Addison_Wesley.Codebook.Utils;
using System.IO;

namespace Hledání_souborů
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Hledání souborů v adresáři a jeho podadresářích";
         Console.WriteLine("Hledání všech obrázkových souborů v C:\\Windows ...");

         // Vyhledání všech obrázkových souborů v adresáři Windows
         string startDirectory = "C:\\Windows";
         string filePattern = "*.jpg;*.jpeg;*.gif;*.bmp;*.tif;*.tiff";
         ReadOnlyCollection<FileInfo> fileList =
            FileUtils.FindFiles(startDirectory, filePattern, true);

         // Projdeme a vypíšeme všchny nalezené soubpory
         foreach (FileInfo fi in fileList)
         {
            Console.WriteLine(fi.FullName);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
